Package org.apache.sling.cms.core.internal.models

## Class AuthorizableWrapperImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.AuthorizableWrapperImpl

All Implemented Interfaces:
  `AuthorizableWrapper`

    @Model(adaptables={org.apache.sling.api.resource.Resource.class,org.apache.sling.api.resource.ResourceResolver.class},
           adapters=org.apache.sling.cms.AuthorizableWrapper.class)
    public class AuthorizableWrapperImpl
    extends Object
    implements AuthorizableWrapper

Implementation of the AuthorizableWrapper Sling Model.

### Constructor Summary

Constructors
`AuthorizableWrapperImpl​(org.apache.sling.api.resource.Resource resource)`
`AuthorizableWrapperImpl​(org.apache.sling.api.resource.ResourceResolver resolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.jackrabbit.api.security.user.Authorizable` `getAuthorizable()`
`Iterator<org.apache.jackrabbit.api.security.user.Authorizable>` `getDeclaredMembers()`
`Iterator<org.apache.jackrabbit.api.security.user.Group>` `getDeclaredMembership()`
`Iterator<String>` `getGroupNames()`
`String` `getId()`
`Locale` `getLocale()`
`String` `getLocaleTag()`
`Iterator<org.apache.jackrabbit.api.security.user.Authorizable>` `getMembers()`
`Iterator<org.apache.jackrabbit.api.security.user.Group>` `getMembership()`
`boolean` `isAdministrator()`
`boolean` `isMember​(String groupName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthorizableWrapperImpl

    public AuthorizableWrapperImpl​(org.apache.sling.api.resource.ResourceResolver resolver)
                            throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

#### AuthorizableWrapperImpl

    public AuthorizableWrapperImpl​(org.apache.sling.api.resource.Resource resource)
                            throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### Method Detail

#### getAuthorizable

    public org.apache.jackrabbit.api.security.user.Authorizable getAuthorizable()

Specified by:
  `getAuthorizable` in interface `AuthorizableWrapper`

#### getDeclaredMembers

    public Iterator<org.apache.jackrabbit.api.security.user.Authorizable> getDeclaredMembers()

Specified by:
  `getDeclaredMembers` in interface `AuthorizableWrapper`

#### getDeclaredMembership

    public Iterator<org.apache.jackrabbit.api.security.user.Group> getDeclaredMembership()

Specified by:
  `getDeclaredMembership` in interface `AuthorizableWrapper`

#### getGroupNames

    public Iterator<String> getGroupNames()

Specified by:
  `getGroupNames` in interface `AuthorizableWrapper`

#### getId

    public String getId()

Specified by:
  `getId` in interface `AuthorizableWrapper`

#### getLocaleTag

    public String getLocaleTag()

Specified by:
  `getLocaleTag` in interface `AuthorizableWrapper`

#### getLocale

    public Locale getLocale()

Specified by:
  `getLocale` in interface `AuthorizableWrapper`

#### getMembers

    public Iterator<org.apache.jackrabbit.api.security.user.Authorizable> getMembers()

Specified by:
  `getMembers` in interface `AuthorizableWrapper`

#### getMembership

    public Iterator<org.apache.jackrabbit.api.security.user.Group> getMembership()

Specified by:
  `getMembership` in interface `AuthorizableWrapper`

#### isAdministrator

    public boolean isAdministrator()

Specified by:
  `isAdministrator` in interface `AuthorizableWrapper`

#### isMember

    public boolean isMember​(String groupName)

Specified by:
  `isMember` in interface `AuthorizableWrapper`